Bug 649920 - (CVE-2010-3881) CVE-2010-3881 kvm: arch/x86/kvm/x86.c: reading uninitialized stack memory
CVE-2010-3881 kvm: arch/x86/kvm/x86.c: reading uninitialized stack memory
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20101030,reported=2...
: Security
Depends On: 649832 649840 649929 649931
Blocks: Rhel6KvmTier1
  Show dependency treegraph
 
Reported: 2010-11-04 15:59 EDT by Petr Matousek
Modified: 2016-02-15 07:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-11-04 15:59:06 EDT
Description of problem:
Structures kvm_vcpu_events, kvm_debugregs, kvm_pit_state2 and kvm_clock_data are copied to userland with some padding and reserved fields unitialized.  It leads to leaking of contents of kernel stack memory.

Reference:
http://www.spinics.net/lists/kvm/msg44130.html
http://git.kernel.org/?p=virt/kvm/kvm.git;a=commit;h=831d9d02f9522e739825a51a11e3bc5aa531a905

Acknowledgements:

Red Hat would like to thank Vasiliy Kulikov of Openwall for reporting this issue.
Comment 1 Petr Matousek 2010-11-04 16:00:02 EDT
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4 and Red Hat Enterprise MRG as they did not include
support for Kernel-based Virtual Machine (KVM). A future kernel update in Red
Hat Enterprise Linux 5 may address this flaw.
Comment 3 Eugene Teo (Security Response) 2010-11-22 08:25:03 EST
Upstream commit:
http://git.kernel.org/linus/97e69aa62f8b5d338d6cff49be09e37cc1262838
Comment 4 errata-xmlrpc 2010-12-20 12:36:59 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0998 https://rhn.redhat.com/errata/RHSA-2010-0998.html
Comment 5 errata-xmlrpc 2011-06-21 19:53:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.0.Z - Server Only

Via RHSA-2011:0883 https://rhn.redhat.com/errata/RHSA-2011-0883.html

Note You need to log in before you can comment on or make changes to this bug.